Primera vulnerabilidad crítica en Firefox 3

Primera vulnerabilidad crítica en Firefox 3

318
0
Compartir

Pocas horas después de su lanzamiento se ha dado a conocer que el navegador que pretendía batir todos récords de descarga, Mozilla Firefox 3, contiene una vulnerabilidad crítica que podría ser aprovechada por un atacante remoto para ejecutar código arbitrario.

Después de que el navegador de código abierto haya tenido más de 8,3 millones de descargas durante las primeras 24 horas desde su lanzamiento, en parte gracias a una interesante campaña de márketing, ahora se descubre que contiene al menos un fallo, que podría permitir la ejecución de código con sólo visitar un enlace que nos lleve a una página web especialmente manipulada.

Zero Day Initiative (ZDI) publicó el descubrimiento de dicho agujero de seguridad tan solo 5 horas después de que Firefox 3 fuera lanzado de forma oficial, a las 19 horas del pasado día 17 en España (aunque es bastante más que probable que tuvieran conocimiento del fallo desde la aparición de las primeras betas, pero hayan esperado al lanzamiento oficial para hacerlo público). Los investigadores de ZDI han confirmado que la vulnerabilidad podría permitir la ejecución de código arbitrario de forma remota con los permisos del usuario ejecutando la aplicación, aunque no parece que el fallo esté siendo explotado en la actualidad.

En todo software relativamente nuevo las posibilidades de que se descubran vulnerabilidades graves se multiplican al lanzar una nueva versión con importantes modificaciones. Este problema no es patrimonio exclusivo ni de compañías específicas ni depende de la filosofía del software (sea código abierto, cerrado, o cualquier otra manera de entender la forma de distribución).

Zero Day Initiative está organizado por TippingPoint (filial de 3com) y premia el descubrimiento de nuevas vulnerabilidades si se le ceden en exclusiva los detalles de cómo aprovecharla. Afirma haber informado a los desarrolladores de Mozilla y siguiendo su política de “Responsible Disclosure”, ha rehusado publicar detalles técnicos al respecto hasta que no se haga público un parche que corrija el fallo. Todo hace indicar que la versión 3.0.1 podría estar disponible muy pronto.

Adicionalmente, otros dos investigadores dicen haber descubierto más problemas de seguridad en la nueva versión del navegador. El primero se trataría de error de límites no especificado y que podría causar una denegación de servicio o permitir la ejecución de código. El segundo, un fallo que podría provocar que Firefox 3 ejecutase ciertas aplicaciones sin permiso del usuario. Éstas supuestas vulnerabilidades no han sido confirmadas por el momento y provienen de listas de correo especializadas en seguridad.

Una vez más se recomienda no visitar enlaces poco fiables y vigilar especialmente aquellos que provengan de correos o a través de mensajería instantánea.

Opina sobre esta noticia:

http://www.hispasec.com/unaaldia/3527/comentar

Más información

Mozilla Firefox 3.0 Vulnerability

http://dvlabs.tippingpoint.com/blog/2008/06/18/vulnerability-in-mozilla-firefox-30

Mozilla Firefox 3 Unspecified Buffer Overflow Vulnerability http://www.securityfocus.com/bid/29794/info

Flaw in Firefox 3.0: protocol-handler.warn-external are ignored http://seclists.org/fulldisclosure/2008/Jun/0228.html

Mozilla Firefox 3.0

http://www.mozilla-europe.org/es/firefox/

Pablo Molina

No hay comentarios

Deja un comentario